Websites
GET https://trk.condoo.systems/api/websites/
curl --request GET \
--url 'https://trk.condoo.systems/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://trk.condoo.systems/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional (Optional) Zeichenkette | Die Suchanfrage. |
| search_by | Optional (Optional) Zeichenkette | Nach welchem Feld suchst du? Erlaubte Werte sind: name, host. |
| is_enabled | Optional (Optional) Ganzzahl | |
| tracking_type | Optional (Optional) Zeichenkette | Erlaubte Werte: advanced, lightweight |
| domain_id | Optional (Optional) Ganzzahl | |
| datetime_field | Optional (Optional) Zeichenkette | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional (Optional) Zeichenkette | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional (Optional) Zeichenkette | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional (Optional) Zeichenkette | Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: website_id, datetime, last_datetime, name, host, current_month_sessions_events, last_24_hours_pageviews, last_7_days_pageviews. |
| order_type | Optional (Optional) Zeichenkette | Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge. |
| page | Optional (Optional) Ganzzahl | Die Seitenzahl, von der du die Ergebnisse möchtest. Standardmäßig ist sie 1. |
| results_per_page | Optional (Optional) Ganzzahl | Wie viele Ergebnisse möchtest du pro Seite? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist es 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"currency": "EUR",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "advanced",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"sessions_replays_hide_text_selector": null,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"current_month_sessions_events": 0,
"last_24_hours_pageviews": 0,
"last_7_days_pageviews": 0,
"pageviews_stats_last_datetime": null,
"current_month_sessions_replays": 0,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-05 13:40:13"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://trk.condoo.systems/api/websites?page=1",
"last": "https://trk.condoo.systems/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://trk.condoo.systems/api/websites?page=1"
}
}
GET https://trk.condoo.systems/api/websites/{website_id}
curl --request GET \
--url 'https://trk.condoo.systems/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://trk.condoo.systems/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"currency": "EUR",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "advanced",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"sessions_replays_hide_text_selector": null,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"current_month_sessions_events": 0,
"last_24_hours_pageviews": 0,
"last_7_days_pageviews": 0,
"pageviews_stats_last_datetime": null,
"current_month_sessions_replays": 0,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-05 13:40:13"
}
}
POST https://trk.condoo.systems/api/websites
| Parameter | Details | Beschreibung |
|---|---|---|
| domain_id | Optional (Optional) Ganzzahl | - |
| name | Erforderlich Zeichenkette | - |
| currency | Optional (Optional) Zeichenkette | Optional three-letter currency code, such as EUR or USD, used to display goal values. Submit an empty value to clear it. When omitted on update, the current currency is kept. |
| scheme | Optional (Optional) Zeichenkette | Erlaubte Werte: http://, https:// |
| host | Erforderlich Zeichenkette | Website Host & Pfad. Beispiel: https://example.com/path. |
| pixel_key | Optional (Optional) Zeichenkette | Custom pixel key. Leave empty on create to generate a random key. |
| tracking_type | Optional (Optional) Zeichenkette | Erlaubte Werte: lightweight, advanced |
| excluded_ips | Optional (Optional) Zeichenkette | Schließe IPs vom Tracking aus. Gib Werte durch Kommas getrennt ein. |
| outbound_clicks_is_enabled | Optional (Optional) Boolean | |
| events_children_is_enabled | Optional (Optional) Boolean | Verfolge Besucherereignisse (Mausklicks, Größenänderungen, Scrollen, Formularübermittlungen). Erlaubte Werte sind: 0 oder 1. Nur verfügbar für den Tracking-Typ normal. |
| sessions_replays_is_enabled | Optional (Optional) Boolean | Sitzungswiederholungen. Erlaubte Werte sind: 0 oder 1. Nur verfügbar für den Tracking-Typ normal. |
| sessions_replays_hide_text_selector | Optional (Optional) Zeichenkette | |
| email_reports_is_enabled | Optional (Optional) Boolean | E-Mail-Berichte. Erlaubte Werte sind: 0 oder 1. |
| query_parameters_tracking_is_enabled | Optional (Optional) Boolean | - |
| bot_exclusion_is_enabled | Optional (Optional) Boolean | - |
| public_statistics_is_enabled | Optional (Optional) Boolean | - |
| public_statistics_password | Optional (Optional) Zeichenkette | - |
| is_enabled | Optional (Optional) Boolean | - |
curl --request POST \
--url 'https://trk.condoo.systems/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'pixel_key=website_demo' \
--form 'name=Example' \
--form 'currency=EUR' \
--url 'https://trk.condoo.systems/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'pixel_key=website_demo' \
--form 'name=Example' \
--form 'currency=EUR' \
{
"data": {
"id": 1,
"user_id": 1,
"pixel_key": "website_demo",
"name": "Example",
"currency": "EUR",
"scheme": "https://",
"host": "website.com",
"path": null,
"tracking_type": "lightweight",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"sessions_replays_hide_text_selector": null,
"email_reports_is_enabled": false,
"email_reports_last_date": "2026-11-05 13:40:13",
"bot_exclusion_is_enabled": false,
"query_parameters_tracking_is_enabled": false,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"current_month_sessions_events": 0,
"last_24_hours_pageviews": 0,
"last_7_days_pageviews": 0,
"pageviews_stats_last_datetime": null,
"current_month_sessions_replays": 0,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-05 13:40:13"
}
}
POST https://trk.condoo.systems/api/websites/{website_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| domain_id | Optional (Optional) Ganzzahl | - |
| name | Optional (Optional) Zeichenkette | - |
| currency | Optional (Optional) Zeichenkette | Optional three-letter currency code, such as EUR or USD, used to display goal values. Submit an empty value to clear it. When omitted on update, the current currency is kept. |
| scheme | Optional (Optional) Zeichenkette | Erlaubte Werte: http://, https:// |
| host | Optional (Optional) Zeichenkette | Website Host & Pfad. Beispiel: https://example.com/path. |
| pixel_key | Optional (Optional) Zeichenkette | Custom pixel key. Leave empty on create to generate a random key. |
| excluded_ips | Optional (Optional) Zeichenkette | Schließe IPs vom Tracking aus. Gib Werte durch Kommas getrennt ein. |
| outbound_clicks_is_enabled | Optional (Optional) Boolean | |
| events_children_is_enabled | Optional (Optional) Boolean | Verfolge Besucherereignisse (Mausklicks, Größenänderungen, Scrollen, Formularübermittlungen). Erlaubte Werte sind: 0 oder 1. Nur verfügbar für den Tracking-Typ normal. |
| sessions_replays_is_enabled | Optional (Optional) Boolean | Sitzungswiederholungen. Erlaubte Werte sind: 0 oder 1. Nur verfügbar für den Tracking-Typ normal. |
| sessions_replays_hide_text_selector | Optional (Optional) Zeichenkette | |
| email_reports_is_enabled | Optional (Optional) Boolean | E-Mail-Berichte. Erlaubte Werte sind: 0 oder 1. |
| query_parameters_tracking_is_enabled | Optional (Optional) Boolean | - |
| bot_exclusion_is_enabled | Optional (Optional) Boolean | - |
| public_statistics_is_enabled | Optional (Optional) Boolean | - |
| public_statistics_password | Optional (Optional) Zeichenkette | - |
| is_enabled | Optional (Optional) Boolean | - |
curl --request POST \
--url 'https://trk.condoo.systems/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'currency=EUR' \
--form 'pixel_key=website_live' \
--form 'is_enabled=0' \
--url 'https://trk.condoo.systems/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'currency=EUR' \
--form 'pixel_key=website_live' \
--form 'is_enabled=0' \
{
"data": {
"id": 1,
"user_id": 1,
"pixel_key": "website_live",
"name": "Example",
"currency": "EUR",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "advanced",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"sessions_replays_hide_text_selector": null,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"current_month_sessions_events": 0,
"last_24_hours_pageviews": 0,
"last_7_days_pageviews": 0,
"pageviews_stats_last_datetime": null,
"current_month_sessions_replays": 0,
"is_enabled": false,
"last_datetime": "2026-11-05 13:40:13",
"datetime": "2026-11-05 13:40:13"
}
}
DELETE https://trk.condoo.systems/api/websites/{website_id}
curl --request DELETE \
--url 'https://trk.condoo.systems/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://trk.condoo.systems/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \